/* variables */
:root {
  /* --header-bg: url('images/header.png'); */
  --text-color: #FCEAFF;
  --green-chroma: #0EC5A0;
  --red-chroma: #BE209F;
}

/* fonts */
@font-face {
  font-family: "SperryPC"; 
  src: url("/font/SperryPC_8x16.woff");
}

@font-face {
  font-family: "IBM 55"; 
  src: url("/font/IBM_PS55.woff");
}

@font-face {
  font-family: "WD Gaster";
  src: url("/font/Wingdings.otf");
}

body {
  margin: 0;
  /* background */
  background-image: url(/graphics/bg/city.gif), url(/graphics/bg/stars3.gif);
  background-repeat: no-repeat, repeat;
  background-attachment: fixed, fixed;
  background-position: center bottom, center;
  background-size: 100% auto, auto;
  /* text */
  font-family: "SperryPC", sans-serif;
  color: var(--text-color);
}

/* text */
p, i, em, small, del, ins, sub, sup {
  text-shadow: 1px 1px #000000;
  letter-spacing: 0.5px;
}

 b, strong {
  text-shadow: 1px 1px var(--green-chroma), -1px -1px var(--red-chroma), 2px 2px #000000;
  letter-spacing: 1px;
}

p {
  font-size: 16px;
}

h1 {
  font-size: 36px;
}

h2 {
  font-size: 32px;
}

h3 {
  font-size: 28px;
}

h4 {
  font-size: 24px;
}

h5 {
  font-size: 20px;
}

h6 {
  font-size: 18px;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "IBM 55", serif;
  color: var(--text-color);
  text-shadow: 1px 1px var(--green-chroma), -1px -1px var(--red-chroma), 2px 2px #000000;
  margin-top: 16px;
  margin-bottom: 16px;
}

a {
  color: var(--green-chroma);
  font-weight: bold;
  text-shadow: 2px 2px #000000;
}

a:hover {
  color: var(--red-chroma);
  text-decoration: none;
  text-shadow: 2px 2px #000000;
}

ul {
  list-style-type: "❏︎ ";
}

/* what this is */
* {
  box-sizing: border-box;
}

::selection {
  /* Change highlight background color */
  background: #8673FF;
  /* Change highlight text color */
  color: #FFFFFF;
}

/*----------------------------------------------------------------------------*/

#header {
  width: 960px;
  height: 86px;
  background: url("/graphics/rotoglobo.gif");
  background-repeat: no-repeat;
  background-position: left;
  text-align: left;
  display: flex;
  justify-content: center;
  align-items: center;
}


#container {
  max-width: 1000px;
  margin: 0 auto;
}



/* {
  width: 1000px;
  height: 128px;
  background: url("/graphics/untizio/banner-bg.png"), url("/graphics/bg/matrik.gif");
  border-top-right-radius: 350px;
  border-bottom-right-radius: 350px;
  box-shadow: 1px 1px #0EC5A0, -1px -1px #BE209F;
  margin-bottom: 10px;
  margin-top: 20px; 
}*/

.line{
  animation: 2s linear 0s normal none infinite running anm2;
}

@keyframes anm1{
  0% {width: 0px;}
}

@keyframes anm2{
  50% {opacity: 0}
  100% {opacity: 1}
}

#flex {
  display: flex;
}

#aside {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,.5), rgba(0,0,0,0)), url("/graphics/bg/num.gif");
  /*background-color: black;*/
  width: 200px;
  height: auto;
  padding: 20px;
  box-shadow: 1px 1px #0EC5A0, -1px -1px #BE209F;
  margin-bottom: 10px;
}

main {
  width: 790px;
  background: linear-gradient(rgba(0,0,0,.25), rgba(0,0,0,.8), rgba(0,0,0,.8), rgba(0,0,0,.8), rgba(0,0,0,.25));
  flex: 1;
  padding: 20px;
  order: 3;
  overflow: auto;
}

#leftSidebar {
  order: 1;
}




.box {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,.5), rgba(0,0,0,0)), url("/graphics/bg/num.gif");
  /*background-color: #000000;*/
  border-left: 1px solid #be209f;
  border-top: 1px solid #be209f;
  border-right: 1px solid #0ec5a0;
  border-bottom: 1px solid #0ec5a0;
  padding: 10px;
  border-radius: 8px;
}

td.tbox {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,.5), rgba(0,0,0,0)), url("/graphics/bg/num.gif");
  /*background-color: #000000;*/
  border-left: 1px solid #be209f;
  border-top: 1px solid #be209f;
  border-right: 1px solid #0ec5a0;
  border-bottom: 1px solid #0ec5a0;
  border-radius: 8px;
  padding-left: 10px;
  padding-right: 10px;
}

hr {
  border-top: 1px solid #be209f;
  border-bottom: 1px solid #0ec5a0;
}

.shadow {
  filter: drop-shadow(2px 2px 4px rgba(128, 128, 128, 0.75));
}

.outline {
  -webkit-filter: drop-shadow(2px 2px 0px white) drop-shadow(-2px -2px 0px white) drop-shadow(2px -2px 0px white) drop-shadow(-2px 2px 0px white);
          filter: drop-shadow(2px 2px 0px white) drop-shadow(-2px -2px 0px white) drop-shadow(2px -2px 0px white) drop-shadow(-2px 2px 0px white);
}

.huerotate {
  -webkit-animation: hue-animation 4s infinite;
          animation: hue-animation 4s infinite;
}

@keyframes hue-animation {
  0% {
    filter: hue-rotate(0deg);
  }
  
  50% {
    filter: hue-rotate(180deg);
  }
  
  100% {
    filter: hue-rotate(360deg);
  }
}

img.stamp {
  width: 99px;
  height: 56px;
  filter: drop-shadow(2px 2px 4px rgba(128, 128, 128, 0.75));
}

img.stamp:hover {
  z-index: 1;
  transition: .05s;
  transform: scale(1.5);
  image-rendering: pixelated;
  filter: drop-shadow(2px 2px 4px rgba(128, 128, 128, 0.75));
}

img.b88x31 {
  width: 88px;
  height: 31px;
}

img.b88x31:hover {
  image-rendering: pixelated;
  filter: drop-shadow(2px 2px 0px #00000050);
  z-index: 1;
  transition: .05s;
  transform: scale(1.5);
}

/* image gallery code stuff */
.icon {
  border: 2px solid #000000;
  max-height: 256px;
  max-width: 256px;
  cursor: pointer;
}

.iconHidden {
  filter: blur(2px);
  border: 2px solid #000000;
  max-height: 256px;
  max-width: 256px;
  cursor: pointer;
}

.icon:hover {
  border: 2px solid #FFFFFF;
}

.iconHidden:hover {
  border: 2px solid #FFFFFF;
}

/* The Modal (background) */
.modal-gallery-fu-sc {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content-gallery-fu-sc {
  padding-top:0px;
  margin: auto;
  display: block;
  width: auto;
  max-height: 480px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption-gallery-fu-sc {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #FFFFFF;
  padding: 10px 0;
  height: 150px;
}

/* The Close Button */
.close-gallery-fu-sc {
  position: absolute;
  top: 20px;
  right: 35px;
  color: #F1F1F1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close-gallery-fu-sc:hover,
.close-gallery-fu-sc:focus {
  color: #BBBBBB;
  text-decoration: none;
  cursor: pointer;
}

summary:hover {
  cursor: pointer;
}


/* BELOW THIS POINT IS MEDIA QUERY */
/* to change the width of your page (default container width: 900px) take new height, subtrack it by 100 -> use this new number as the"max-width" */
@media only screen and (max-width: 900px) {
  #flex {
    flex-wrap: wrap;
  }
  
  aside {
    width: 100%;
  }
  
  /* order of the items for responsiveness (sidebars would be too small on a mobile device) */
  main {
    order: 1;
  }
  
  #leftSidebar {
    order: 2;
  }
  
  #rightSidebar {
    order: 3;
  }
  
  #navbar ul {
    flex-wrap: wrap;
  }
}